#!/bin/bash

wget ftp://ftp.digium.com/pub/zaptel/zaptel-1.0.2.tar.gz
wget ftp://ftp.digium.com/pub/libpri/libpri-1.0.2.tar.gz
wget ftp://ftp.digium.com/pub/asterisk/asterisk-1.0.2.tar.gz

gzip -d ./*.gz

tar -xf zaptel-1.0.2.tar
tar -xf libpri-1.0.2.tar
tar -xf asterisk-1.0.2.tar

cd zaptel-1.0.2
patch -p1 < ../patches/zaptel.patch
cd ..

cd libpri-1.0.2
patch -p1 < ../patches/libpri.patch
cd ..

cd asterisk-1.0.2
patch -p1 < ../patches/asterisk.patch
cd ..

echo "****************************************************"
echo "         Downloading and patching finished."
echo "****************************************************"
